﻿using PointOfSalesDesignDemo.CustomControls;
using System;
using System.Collections.Generic;
using System.Data.SqlClient;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace PointOfSalesDesignDemo.Helpers
{
    class DbHelper
    {
        static string conString = @"Data Source=DESKTOP-6H8V0NE\SQLEXPRESS;Initial Catalog=testPOS;Integrated Security=True";

        SqlCommand cmd;
        SqlConnection conn;
        SqlDataReader reader;

        public DbHelper()
        {
            conn = new SqlConnection(conString);
            cmd = new SqlCommand();
        }

        public bool connect()
        {
            try
            {
                conn.Open();
                return true;
            }
            catch (Exception ex)
            {
                return false;
                throw;
            }
        }

        public bool disconnect()
        {
            try
            {
                conn.Close();
                return true;
            }
            catch (Exception)
            {
                return false;
                throw;
            }
        }

        public string getButtons(string query, FlowLayoutPanel panel)
        {
            string ret = "";

            try
            {
                cmd.Connection = conn;
                cmd.CommandText = query.ToLower();
                connect();

                reader = cmd.ExecuteReader();

                string id,name, price;

                while(reader.Read())
                {
                    id = reader[0].ToString();
                    name = reader[1].ToString();
                    price = reader[2].ToString();

                    btnProduct btn = new btnProduct();

                    btn.ItemName = name;
                    btn.ItemPrice = "$"+price;

                    if (name != string.Empty)
                    {
                        panel.Controls.Add(btn);
                    }

                    ret = "Data Fetched Successfully.. :)";
                }
            }
            catch (Exception ex)
            {
                ret = ex.Message;
                throw;
            }
            finally
            {
                disconnect();
            }
            return ret;
        }
    }
}
